Dynamically setting pkg_version for a node app


#1

This works well for a plan.sh that is next to a package.json:

pkg_build_deps=(
  jarvus/underscore
)

pkg_version() {
  underscore extract version --outfmt text --in "${PLAN_CONTEXT}/package.json"
}

do_before() {
  do_default_before
  update_pkg_version
}